import os.path
import numpy as np
import xarray as xr

class TestRadiance(object):

    def __init__(self):

        directory_path, name = os.path.split(__file__)
        path = os.path.normpath(os.path.join(directory_path, 'band_3_1.nc'))
        print(path)

        self.radiance_data = xr.open_dataset(path)
        self.wavelengths   = self.radiance_data.hires_wavelength.data
        self.radiance      = self.radiance_data.hires_radiance.data
import matplotlib.pyplot as plt
#plt.plot(TestRadiance().wavelengths, TestRadiance().radiance)
#print('done')